<?php

class database_general {

 private $conexion;

public function conectar(){
           
      if(!isset($this->conexion)){ 
           
      // $this->conexion = new mysqli('localhost','root','','activar_piaget_2017'); 
         $this->conexion = new mysqli('localhost','piaget_majosa','majosa24091970','piaget_activar_bd'); 
      
           if ($mysqli->connect_errno) {
                echo "Error de Conexi&oacute;n";
                exit;
           }
      }
 }

//---------------------------------
 
public function consulta($sql){
                 
     $resultado =$this->conexion->query($sql); 
      
      if(!$resultado){
           echo 'Error :'.$sql.$this->conexion->connect_errno;
           exit;
      }
      
     return $resultado;
}

 //----------------------------------

function numero_de_filas($result){
     return $result->num_rows;
}

//----------------------------------

function fetch_assoc($result){
      return $result->fetch_assoc();
}

//----------------------------------

public function disconnect(){
       mysqli_close($this->conexion);
}
  
}


?>
